

#include "SqlSchema_DELETE.hpp"


using namespace std;

SqlSchema_DELETE::SqlSchema_DELETE(void)
{
// FIXME ????? appendRow();
}


vector<string> SqlSchema_DELETE::getCommand(int sid, const Survey& surv)
{
   string sidStr     = to_string(sid);
   string obsCollStr = surv.getObsCollection();
   string obsTitleStr = surv.getObsTitle();

   vector<string> vDELETE{
      {"DELETE FROM obscore WHERE obs_collection = \'" + obsCollStr
                             + "\' AND obs_title = \'" + obsTitleStr +  "\'"},
   };
   return vDELETE;
}


